Index: Makefile
===================================================================
RCS file: /home/projects/pgsql/cvsroot/pgsql/src/pl/plpython/Makefile,v
retrieving revision 1.5
diff -u -p -r1.5 Makefile
--- Makefile	2001/05/12 17:49:32	1.5
+++ Makefile	2001/05/14 14:07:10
@@ -5,7 +5,8 @@ top_builddir = ../../..
 include $(top_builddir)/src/Makefile.global
 
 
-override CPPFLAGS := -I$(srcdir) -I$(python_includedir) $(CPPFLAGS)
+override CPPFLAGS := -I$(srcdir) -I$(python_includedir) $(CPPFLAGS) -DUSE_DL_IMPORT
+override DLLLIBS := $(BE_DLLLIBS) $(DLLLIBS)
 
 NAME = plpython
 SO_MAJOR_VERSION = 0
Index: feature.expected
===================================================================
RCS file: /home/projects/pgsql/cvsroot/pgsql/src/pl/plpython/feature.expected,v
retrieving revision 1.2
diff -u -p -r1.2 feature.expected
--- feature.expected	2001/05/12 17:49:32	1.2
+++ feature.expected	2001/05/14 14:07:10
@@ -29,7 +29,7 @@ SELECT global_test_two();
 (1 row)
 
 SELECT import_fail();
-NOTICE:  ('import socket failed -- untrusted dynamic module: socket',)
+NOTICE:  ('import socket failed -- untrusted dynamic module: _socket',)
     import_fail     
 --------------------
  failed as expected
Index: plpython.c
===================================================================
RCS file: /home/projects/pgsql/cvsroot/pgsql/src/pl/plpython/plpython.c,v
retrieving revision 1.2
diff -u -p -r1.2 plpython.c
--- plpython.c	2001/05/12 01:30:30	1.2
+++ plpython.c	2001/05/14 14:07:11
@@ -1534,7 +1534,7 @@ static PyObject *PLy_spi_execute_fetch_r
 
 
 PyTypeObject PLy_PlanType = {
-  PyObject_HEAD_INIT(&PyType_Type)
+  PyObject_HEAD_INIT(NULL)
   0,                               /*ob_size*/
   "PLyPlan",                       /*tp_name*/
   sizeof(PLyPlanObject),           /*tp_size*/
@@ -1577,7 +1577,7 @@ PySequenceMethods PLy_result_as_sequence
 };
 
 PyTypeObject PLy_ResultType = {
-  PyObject_HEAD_INIT(&PyType_Type)
+  PyObject_HEAD_INIT(NULL)
   0,                                 /*ob_size*/
   "PLyResult",                       /*tp_name*/
   sizeof(PLyResultObject),           /*tp_size*/
@@ -2287,6 +2287,7 @@ PLy_init_plpy(void)
 
   /* initialize plpy module
    */
+  PLy_PlanType.ob_type = PLy_ResultType.ob_type = &PyType_Type;
   plpy = Py_InitModule("plpy", PLy_methods);
   plpy_dict = PyModule_GetDict(plpy);
 
